(use magic-pipes)
(use args)
(use ports)
(use chicken-syntax)
(use medea)

(receive (options operands before-exprs after-exprs usage)
         (parse-mp-args (command-line-arguments) '()
                        ""
                        "Read s-expressions from standard input, and convert them to JSON on standard output.")
         (unless (= (length operands) 0)
                 (usage))

         (let* ((ec (make-eval-context before-exprs '() after-exprs)))
           (for-each-input-datum
            (lambda (sexpr)
              (write-json sexpr)
              (newline)))
           (without-input-port
            (eval-context-end-closure ec))))
